1. Web Visits
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Retrieve Company IPs
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
      POST
    • Retrieve Custom Feeds
      GET
    • Create a Custom Feed
      POST
    • Get Custom Feed Details
      GET
    • Update Custom Feed
      PATCH
    • Delete a Custom Feed
      DELETE
    • Retrieve Custom Feeds Folders
      GET
    • Retrieve Web Visits Tracker Script
      GET
    • Retrieve Visitor Companies
      GET
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Get Buyer Persona Details
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Get Ideal Customer Profile Details
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Schemas
    • VisitLocationV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • ICPV1
    • CRMContactV1
    • IpAddressExtendedV1
    • CompanyIpV1
    • CRMLeadV1
    • WebVisitV1
    • BuyerPersonaV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • AccountSummaryV1
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • NetworkV1
    • CompanyFinancialsV1
    • SignalV1
    • CompanySummaryV1
    • TagV1
    • ListV1
    • CompanyMatchV1
    • CustomFieldV1
    • ContactV1
    • ContactSummaryV1
    • EnrichedIpV1
    • ApiUsageV1
  1. Web Visits

Create a Custom Feed

POST
/v1/web-visits/custom-feeds
Create a new custom feed for the given account.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Success
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠422Parameter Error
🟠429
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.leadfeeder.com/v1/web-visits/custom-feeds?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "data": {
        "type": "custom_feed",
        "attributes": {
            "name": "Hamburg/Brandenburg – Clean Intent Traffic",
            "notifications": [],
            "advanced_filters": {
                "type": "group",
                "operator": "and",
                "items": [
                    {
                        "type": "group",
                        "operator": "or",
                        "negated": false,
                        "items": [
                            {
                                "type": "group",
                                "operator": "and",
                                "items": [
                                    {
                                        "type": "group",
                                        "operator": "or",
                                        "items": [
                                            {
                                                "type": "filter",
                                                "operator": "is",
                                                "field": "region",
                                                "value": "Hamburg",
                                                "display_value": "Hamburg"
                                            },
                                            {
                                                "type": "filter",
                                                "operator": "is",
                                                "field": "region",
                                                "value": "Brandenburg",
                                                "display_value": "Brandenburg"
                                            }
                                        ]
                                    },
                                    {
                                        "type": "group",
                                        "operator": "or",
                                        "items": [
                                            {
                                                "type": "filter",
                                                "operator": "contains",
                                                "field": "page_url",
                                                "value": "pricing",
                                                "display_value": "pricing"
                                            },
                                            {
                                                "type": "filter",
                                                "operator": "contains",
                                                "field": "page_url",
                                                "value": "demo",
                                                "display_value": "demo"
                                            }
                                        ]
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "type": "group",
                        "operator": "or",
                        "negated": true,
                        "items": []
                    }
                ]
            }
        },
        "relationships": {
            "folder": null
        }
    }
}'
Response Response Example
200 - A single custom feed
{
    "data": {
        "type": "custom_feed",
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "attributes": {
            "name": "All companies",
            "created_at": "2026-01-15T10:30:00.000Z",
            "updated_at": "2026-01-20T14:00:00.000Z",
            "deletable": true,
            "viewable": true,
            "notifications": []
        },
        "relationships": {
            "created_by": {
                "id": "12345",
                "type": "user"
            },
            "folder": {
                "id": "42",
                "type": "custom_feed_folder"
            }
        }
    },
    "meta": {
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
Modified at 2026-05-04 13:48:12
Previous
Retrieve Custom Feeds
Next
Get Custom Feed Details
Built with